Subject: Re: [PATCH 1/4] doc: link to config for git-replay(1)

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 04 Jun 2026 22:38:15 +0200

On Sun, May 31, 2026, at 00:18, Junio C Hamano wrote:
> [email-masked] writes:
>
>> From: Kristoffer Haugsbakk <[email-masked]>
>>
>> This config doc was added in 336ac90c (replay: add replay.refAction
>> config option, 2025-11-06) but never included anywhere. Include it in
>> git-replay(1) and git-config(1).
>>
>> Signed-off-by: Kristoffer Haugsbakk <[email-masked]>
>> ---
>>  Documentation/config.adoc     | 2 ++
>>  Documentation/git-replay.adoc | 4 ++++
>>  2 files changed, 6 insertions(+)
>
> It is always nice to see documentation gaps filled.
>
> The `replay.refAction` configuration variable was indeed left
> dangling without a proper link from the main command documentation,
> which is embarrassing.  I wonder if we can add simple "doc-lint"
> rule or two to prevent similar mistakes from happening again?

For what it’s worth this is how I found it.

I was working on the kh/doc-hook topic and noticed that my changes
didn’t trigger any `doc-diff` changes for git-config(1). So I checked
the file and nope, it wasn’t included. Then I massaged the file includes
and diffed it with `Documentation/config/`. The only missing ones were:

• replay
• fmt-merge-msg

And `fmt-merge-msg` turned out to be a false positive since it is
included via `merge` or something.

>
>> diff --git a/Documentation/config.adoc b/Documentation/config.adoc
>> index 62eebe7c545..51fabecb9b0 100644
>> --- a/Documentation/config.adoc
>> +++ b/Documentation/config.adoc
>> @@ -511,6 +511,8 @@ include::config/remotes.adoc[]
>>[snip]